=== debian/control ===
Source: ros-jazzy-rmw-implementation
Section: misc
Priority: optional
Maintainer: William Woodall <william@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-jazzy-ament-cmake, ros-jazzy-ament-cmake-gtest <!nocheck>, ros-jazzy-ament-index-cpp, ros-jazzy-ament-lint-auto <!nocheck>, ros-jazzy-ament-lint-common <!nocheck>, ros-jazzy-performance-test-fixture <!nocheck>, ros-jazzy-rcpputils, ros-jazzy-rcutils, ros-jazzy-rmw, ros-jazzy-rmw-cyclonedds-cpp, ros-jazzy-rmw-fastrtps-cpp, ros-jazzy-rmw-fastrtps-dynamic-cpp, ros-jazzy-rmw-implementation-cmake, ros-jazzy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-jazzy-rmw-implementation
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-jazzy-ament-index-cpp, ros-jazzy-rcpputils, ros-jazzy-rcutils, ros-jazzy-rmw-implementation-cmake, ros-jazzy-ros-workspace, ros-jazzy-rmw-fastrtps-cpp | ros-jazzy-rmw-cyclonedds-cpp | ros-jazzy-rmw-connextdds
Description: Proxy implementation of the ROS 2 Middleware Interface.
